package iterator

// MergedIterator is an alias for HierarchicalIterator
// to maintain backward compatibility
type MergedIterator struct {
	*HierarchicalIterator
}

// NewMergedIterator creates a new merged iterator from the given iterators
// The iterators should be provided in newest-to-oldest order for correct semantics
func NewMergedIterator(iters []Iterator) *MergedIterator {
	return &MergedIterator{
		HierarchicalIterator: NewHierarchicalIterator(iters),
	}
}